scikit-learn安装

作者:管理员 发布时间:2020-12-22 09:31

如果你使用的Python是由Anaconda安装,那么你就已经拥有了scikit-learn

可以通过conda list查看到全部库的列表,及对应版本,


如果你需要升级版本,通过如下命令:

conda update scikit-learn

如果你通过官方Python环境安装,可使用pip安装;

pip install -U scikit-learn

scikit-learn所需的对应依赖,也会被自动安装;

(0.23版本scikit-learn对应的依赖包括 :Python (>= 3.6)、NumPy (>= 1.13.3)、SciPy (>= 0.19.1)、joblib (>= 0.11)、threadpoolctl (>= 2.0.0))


等待一会,如果有依赖没有,需要一个一个安装;

安装完成后,pip list可查看安装库列表;


标签:
Copyright © 2020 万物律动 旗下 AI算法狮 京ICP备20010037号-1
本站内容来源于网络开放内容的收集整理,并且仅供学习交流使用;
如有侵权,请联系删除相关内容;